package com.mints.goodmoney.common;

/**
 * 描述：配置app设置开关
 * 作者：孟崔广
 * 邮箱：mengcga@163.com
 */
public class AppConfig {

    /**
     * 是否正在执行更新
     */
    public static boolean app_updateing = false;

    /**
     * 黑名单 名称
     */
    public static String app_black_name = "";

    /**
     * 黑名单 包名
     */
    public static String app_black_pkg = "";

    /**
     * 黑名单校验
     */
    public static boolean app_black_flag = false;

    /**
     * 用户渠道对应代码位
     */
    public static String user_channel_ad = "";

    /**
     * 用户注册渠道
     */
    public static String user_register_channel = "";

    /**
     * 趣步赚成功标记
     */
    public static boolean scene_flag = false;

    /**
     * 是否刷新 趣步赚 猜成语成功标记
     */
    public static boolean scene_idiom_flag = false;

    /**
     * 先展示枫岚视频
     */
    public static boolean flVideoFlag = false;

    /**
     * 喜马拉雅信息流
     */
    public static boolean xmlyAdFlag = false;

    /**
     * 广告隐藏显示 true-走原有流程
     */
    public static boolean showAdFlag = true;

    /**
     * app应用首页 0-主页 1-大转盘 2-邀请好友 3-我
     */
    public static int fragmentClickFlag = 0;
//    public static int fragmentClickFlag = 1;

    /**
     * ylh 剩余广告播放数
     */
    public static int ylhAdCount = 5;
    /**
     * csjVideo 剩余广告播放数
     */
    public static int csjVideoAdCount = 5;
    /**
     * wnVideo 剩余广告播放数
     */
    public static int wnVideoAdCount = 0;
    /**
     * csjFull 剩余广告播放数
     */
    public static int csjFullVideoAdCount = 0;
    /**
     * flVideo 剩余广告播放数
     */
    public static int flVideoAdCount = 0;
    /**
     * shVideo 剩余广告播放数
     */
    public static int shVideoAdCount = 0;
    /**
     * ksVideo 剩余广告播放数
     */
    public static int ksVideoAdCount = 0;
    /**
     * rtaVideo 剩余广告播放数
     */
    public static int rtaVideoAdCount = 0;
    /**
     * 高额任务和超级翻倍 csjVideo 剩余广告播放数
     */
    public static int csjHighVideoAdCount = 0;

    /**
     * 高额任务和超级翻倍 ylhVideo 剩余广告播放数
     */
    public static int ylhHighVideoAdCount = 0;

    /**
     * 高额任务和超级翻倍 ksVideo 剩余广告播放数
     */
    public static int ksHighVideoAdCount = 0;

    /**
     * 高额试玩任务标识
     */
    public static boolean isHighTask = false;

    /**
     * 是否需要上报点击广告
     */
    public static boolean needReportClickAdEvent = false;

    /**
     * 首页显示状态 mainFriendsStatus   0-平台分红 1-微转 2-猜成语
     */
    public static int mainFriendsStatus = 0;

    /**
     * 显示cpd任务下载
     */
    public static boolean useAppCpdModelShow = false;

    /**
     * 微转金币
     */
    public static int wzReadCoin = 300;

    /**
     * 是否是超级翻倍标识
     */
    public static boolean isSuperTask = false;

    /**
     * 激励视频是否休眠 false-不休眠 提示：加载失败，请稍后重试。
     */
    public static boolean isVideoSleep = false;
}
